	// JavaScript Document
// <script language="JavaScript1.2" type="text/JavaScript">
// Copyright (c)2005 Rewritten Software.  http://www.rewrittensoftware.com
// This script is supplied "as is" witrhout any form of warranty. Rewritten Software 
// shall not be liable for any loss or damage to person or property as a result of using this script.
// Use this script at your own risk!
// You are licensed to use this script free of charge for commercial or non-commercial use providing you do not remove 
// the copyright notice or disclaimer.

// Berryz WebShare의 FolderTree 스킨을 위해 이승재가 여기저기 수정하였음 (2009)

function TreeElement( name, url, expandFunc )
{
	this.name = name;
	this.url = url;
	this.target = '';
	this.children = null; // not expanded yet.
	this.Expand = expandFunc;
	this.id = null; // not displayed yet.
	this.image = '';
}

// Define the array that will contain the mapping table for ids to TreeElements.
var tr_map = new Array();
var tr_uniqueSeed = 0;

function Toggle( id )
{
	var key=document.getElementById("P"+id);
	var div=document.getElementById("D"+id);
	var visible=(div.style.display!="none");

	var treeElem = tr_map[ id ];

	if( treeElem.children == null )
	{
		// 아직 자식에 대해 모르므로 탐색을 요구한다.
		// 자식에 대해 알게 되면 UpdateTreeView 따위를 불러서 html element를 만들어 주는 것은
		// Expand() 의 책임이다.
		treeElem.Expand( treeElem, true );
	}
	else
	{
		// 자식에 대한 정보가 들어 있으므로, html element로 만들어지기도 했을 것이다.

		// Check if the item clicked has any children. If it does not then remove the plus/minus icon
		// and replace it with a transaparent gif.
		var removeIcon = !div.hasChildNodes();
		
		if( key != null )
		{
			if( removeIcon )
			{
				key.innerHTML="<img src='tree_empty.gif?action=SkinFile' hspace='0' vspace='0' border='0'>";
			}
			else
			{
				if (visible)
				{
					div.style.display="none";
					key.innerHTML="<img src='tree_plus.gif?action=SkinFile' hspace='0' vspace='0' border='0'>";
				}
				else
				{
					div.style.display="block";
					key.innerHTML="<img src='tree_minus.gif?action=SkinFile' hspace='0' vspace='0' border='0'>";
				}
			}
		}
	}
}

function AddImage( parent, imgFileName )
{
	img=document.createElement("IMG");
	img.setAttribute( "src", imgFileName );
//	img.setAttribute( "width", 16 );
//	img.setAttribute( "height", 16 );
	img.setAttribute( "hspace", 0 );
	img.setAttribute( "vspace", 0 );
	img.setAttribute( "border", 0 );
	parent.appendChild(img);
}

function CreateUniqueTagName()
{
	return 'trUniqTag' + tr_uniqueSeed++;
}

// Creates a new package under a parent. 
// Returns a TABLE tag to place child elements under.
function CreateTreeItem( parent, treeElem )
{
	var uniqueId = CreateUniqueTagName();

	tr_map[uniqueId] = treeElem;
	treeElem.id = uniqueId;

	table = document.createElement("TABLE");
	if( parent != null )
		parent.appendChild( table );

	table.setAttribute( "border", 0 );
	table.setAttribute( "cellpadding", 1 );
	table.setAttribute( "cellspacing", 1 );
		
	tablebody = document.createElement("TBODY");
	table.appendChild(tablebody);
		
   	row=document.createElement("TR");
	tablebody.appendChild( row );

	// Create the cell for the plus and minus.
	cell=document.createElement("TD");
//	cell.setAttribute( "width", 16 );
	row.appendChild(cell);
	
	// Create the hyperlink for plus/minus the cell
	a=document.createElement("A");
	cell.appendChild( a );
	a.setAttribute( "id", "P"+uniqueId );
	a.setAttribute( "href", "javascript:Toggle(\""+uniqueId+"\");" );
	AddImage( a, "tree_plus.gif?action=SkinFile" );
	
	// Create the cell for the image.
	cell=document.createElement("TD");
//	cell.setAttribute( "width", 16 );
	row.appendChild(cell);
		
	// all the event to call when the icon is clicked.
	a=document.createElement("A");
	a.setAttribute( "id", "I"+uniqueId );
	a.setAttribute( "href", "javascript:Toggle(\""+uniqueId+"\");" );
	cell.appendChild(a);

	// Add the image to the cell
	AddImage( a, treeElem.image );

	// Create the cell for the text
	cell=document.createElement("TD");
	cell.noWrap = true;
	a=document.createElement("A");
	a.setAttribute( "id", "A"+uniqueId );
	a.setAttribute( "class", treeElem.aClass );
	cell.appendChild( a );
	if( treeElem.url != null )
	{
		a.setAttribute( "href", treeElem.url );
		if( treeElem.target != null )
			a.setAttribute( "target", treeElem.target );
		else
			a.setAttribute( "target", "_blank" );
		
		text=document.createTextNode( treeElem.name );
		a.appendChild(text);
	}
	else
	{
		text=document.createTextNode( treeElem.name );
		cell.appendChild(text);
	}
	row.appendChild(cell);

	return CreateDiv( parent, uniqueId );;
}

// Creates a new DIV tag and appends it to parent if parent is not null.
// Returns the new DIV tag.
function CreateDiv( parent, id )
{
	div=document.createElement("DIV");
	if( parent != null )
		parent.appendChild( div );
		
	div.setAttribute( "id", "D"+id );
	div.style.display  = "none";
 	div.style.marginLeft = "17px";
	
	return div;
}

function Initialise()
{
	body = document.getElementsByTagName("body").item(0);
	body.setAttribute( "leftmargin", 2 );
	body.setAttribute( "topmargin", 0 );
	body.setAttribute( "marginwidth", 0 );
	body.setAttribute( "marginheight", 0 );
	
	table = document.createElement("TABLE");
	body.appendChild( table );

	table.setAttribute( "border", 0 );
	table.setAttribute( "cellpadding", 1 );
	table.setAttribute( "cellspacing", 1 );
		
	tablebody = document.createElement("TBODY");
	table.appendChild(tablebody);
		
	row=document.createElement("TR");
	tablebody.appendChild(row);
		
	cell=document.createElement("TD");
	row.appendChild(cell); 	
	
	return cell;
}

function UpdateTreeView( parentCell, treeElem )
{
	var d = CreateTreeItem( parentCell, treeElem );

	if( treeElem.children != null )
	{
		for( i in treeElem.children )
		{
			UpdateTreeView( d, treeElem.children[ i ] );
		}
	}
}
