/* Hello World */

// 로그인/아웃 후 URL 정리
if(document.URL.toLowerCase().indexOf("?action=log") != -1) location.replace(document.URL.replace(/\?action\=log(in|out)/gi, ""));

// 페이지 로드 직후 메뉴 효과 처리
setTimeout(function() { document.getElementById("nav").style.marginRight = "0"; }, 1);

// 메뉴 표시/숨김 (모바일)
function ToggleMenu(flagX)
{
	var obj = document.getElementById("nav");
	var btn = document.getElementById("nav_menu");

	if(flagX)
	{
		var isMobile = (document.documentElement.clientWidth < 920) ? true : false;

		if(isMobile) btn.innerHTML = "<i class='material-icons'>&#xE5D2;</i>";

		obj.style.display = !isMobile ? "block" : "none";
		obj.style.opacity = !isMobile ? "1.0"   : "0";

		return false;
	}

	if(obj.style.display != "block")
	{
		obj.style.display = "block";
		btn.innerHTML = "<i class='material-icons'>&#xE5CD;</i>";
		setTimeout(function() { obj.style.opacity = "0.9"; }, 1);
	}
	else
	{
		obj.style.opacity = "0";
		btn.innerHTML = "<i class='material-icons'>&#xE5D2;</i>";
		setTimeout(function() { obj.style.display = "none"; }, 150);
	}
}

// 이미지 뷰어
var noah_imgList = [];

function ViewImage(event, iAct, iSrc)
{
	var e = event || window.event;
	var copiedIL = noah_imgList;

	var iDiv  = document.getElementById("vi_back");
	var iLoad = document.getElementById("vi_load");
	var iPrev = document.getElementById("vi_prev");
	var iNext = document.getElementById("vi_next");
	var iPage = document.getElementById("vi_page");

	if(iAct == "Close")
	{
		PagingImage(event, "off");

		iDiv.style.display  = "none";
		iLoad.style.display = "none";
		iPrev.style.display = "none";
		iNext.style.display = "none";
		iPage.style.display = "none";

		try { document.documentElement.removeChild(document.getElementById("vi_core")); }
		catch(e) {}
	}
	else
	{
		if(!iSrc || iSrc === undefined) return false;
		if(document.getElementById("vi_core")) ViewImage(event, "Close");

		iDiv.style.display  = "block";
		iLoad.style.display = "block";

		var iCore = document.createElement("IMG");

		iCore.setAttribute("id", "vi_core");
		iCore.setAttribute("src", iSrc);
		iCore.setAttribute("title", "이미지를 닫으려면 클릭하세요.");

		iCore.onclick = function() { ViewImage(event, "Close"); }

		iCore.onload = function()
		{
			setTimeout(function()
			{
				iLoad.style.display = "none";
				iCore.style.display = "block";

				var cW = document.documentElement.clientWidth-6;
				var cH = document.documentElement.clientHeight-6;
				var iW, iH;

				if(iCore.width>cW || iCore.height>cH)
				{
					if(iCore.width > cW)
					{
						iW = cW;
						iH = Math.floor(cW*iCore.height/iCore.width);

						if(iH > cH)
						{
							iW = Math.floor(cH*iCore.width/iCore.height);
							iH = cH;
						}
					}
					else
					{
						iW = Math.floor(cH*iCore.width/iCore.height);
						iH = cH;

						if(iW > cW)
						{
							iW = cW;
							iH = Math.floor(cW*iCore.height/iCore.width);
						}
					}
				}
				else
				{
					iW = iCore.width;
					iH = iCore.height;
				}

				var cX = Math.floor((cW-iW)/2);
				var cY = Math.floor((cH-iH)/2);

				iCore.style.left = (cX<0) ? "0" : cX+"px";
				iCore.style.top  = (cY<0) ? "0" : cY+"px";
				iCore.width  = iW;
				iCore.height = iH;

				if(iAct == "All")
				{
					if(copiedIL.length > 1)
					{
						iPrev.style.display = "block";
						iNext.style.display = "block";

						document.onkeydown = function(event) { return PagingImage(event, "on"); }
					}
					iPage.style.display = "block";
				}
			}, 50);
		}

		iCore.onerror = function()
		{
			setTimeout(function()
			{
				alert("이미지를 불러올 수 없습니다.");
				iLoad.style.display = "none";
				iCore.style.display = "none";

				if(iAct == "All")
				{
					if(copiedIL.length > 1)
					{
						iPrev.style.display = "block";
						iNext.style.display = "block";
						iPage.style.display = "block";

						document.onkeydown = function(event) { return PagingImage(event, "on"); }
					}
					else ViewImage(event, "Close");
				}
			}, 50);
		}

		if(iAct == "All")
		{
			var now_idx = 0;

			for(var i=0, len=copiedIL.length; i<len; i++)
			{
				if(copiedIL[i] == iSrc)
				{
					now_idx = i;
					break;
				}
			}

			iPage.innerHTML = "<b>" + decodeURIComponent(iSrc) + "</b><br />\n" + (now_idx+1) + " / " + copiedIL.length;

			iPrev.onclick = function(event)
			{
				var prev_idx = (now_idx <= 0) ? copiedIL.length-1 : now_idx-1;
				ViewImage(event, "All", copiedIL[prev_idx], decodeURIComponent(copiedIL[prev_idx]));
			}
			iNext.onclick = function(event)
			{
				var next_idx = (now_idx >= copiedIL.length-1) ? 0 : now_idx+1;
				ViewImage(event, "All", copiedIL[next_idx], decodeURIComponent(copiedIL[next_idx]));
			}
		}

		document.documentElement.appendChild(iCore);
		iDiv.focus();
	}
}

// 이미지 뷰어용 키보드 제어
function PagingImage(event, mode)
{
	if(mode == "on")
	{
		var e  = event || window.event;
		var ek = e.keyCode || e.which;

		var copiedIL = noah_imgList;

		if(ek == 27) ViewImage(event, "Close");
		else if(ek == 33 || ek == 37 || ek == 100) document.getElementById("vi_prev").click();
		else if(ek == 34 || ek == 39 || ek == 102) document.getElementById("vi_next").click();
		else if(ek == 36) ViewImage(event, "All", copiedIL[0]);
		else if(ek == 35) ViewImage(event, "All", copiedIL[copiedIL.length-1]);
		else if(ek == 116 || ek == 122) return;
		else
		{
			try
			{
				e.cancelBubble = true;
				e.returnValue = false;
				e.preventDefault();
			}
			catch(e) {}
		}
	}
	else
	{
		document.onkeydown = null;
	}
	return false;
}

// 비디오 플레이어
var noah_vidMini = false;

function PlayVideo(event, vAct, vSrc)
{
	var e = event || window.event;

	var vDiv  = document.getElementById("vp_back");
	var vCore = document.getElementById("vp_core");
	var vStit = document.getElementById("vp_title");
	var vBtgl = document.getElementById("vp_toggle");

	if(!noah_mp3Okay) { return false; }

	switch(vAct)
	{
		case "Show":
			var vW, vH;
			var cW = document.documentElement.clientWidth;
			var cH = document.documentElement.clientHeight;
			var isMobile = (cW <= 820) ? true : false;

			if(noah_vidMini)
			{
				vW = isMobile ? 220 : 460;
				vH = isMobile ? 144 : 280;
			}
			else
			{
				if(isMobile)
				{
					if(cW < cH)
					{
						vW = Math.floor(cW-20);
						vH = Math.floor((vW/16)*9+20);
					}
					else
					{
						vH = Math.floor(cH-80);
						vW = Math.floor((vH/9)*16-34);
					}
				}
				else
				{
					vW = 800;
					vH = 470;
				}
			}

			vDiv.style.width  = vW+"px";
			vDiv.style.height = vH+"px";
			vDiv.style.right  = noah_vidMini ? "10px" : Math.floor((cW-vW)/2)+"px";
			vDiv.style.bottom = noah_vidMini ? "10px" : Math.floor((cH-vH+10)/2)+"px";

			vCore.width  = vW;
			vCore.height = vH-20;

			vBtgl.onclick   = noah_vidMini ? function() { PlayVideo(event, "Restore"); } : function() { PlayVideo(event, "Mini"); }
			vBtgl.innerHTML = noah_vidMini ? "&#xE5CE;" : "&#xE5CF;";
			vBtgl.title     = noah_vidMini ? "기본 크기로 복원" : "미니 플레이어";
		break;

		case "Close":
			vCore.removeAttribute("src");
			vCore.load();
			vStit.innerHTML = "Video Player";
			vDiv.style.display = "none";
		break;

		case "Mini":
			noah_vidMini = true;
			PlayVideo(event, "Show");
		break;

		case "Restore":
			noah_vidMini = false;
			PlayVideo(event, "Show");
		break;

		default:
			vDiv.style.display = "block";
			PlayVideo(event, "Restore");

			if(vSrc)
			{
				if(document.getElementById("vp_track")) vCore.removeChild(document.getElementById("vp_track"));

				var vTrck = document.createElement("TRACK");

				vTrck.setAttribute("id", "vp_track");
				vTrck.setAttribute("kind", "subtitles");
				vTrck.setAttribute("srclang", "ko");
				vTrck.setAttribute("label", "자동 로드");
				vTrck.setAttribute("default", "");
				vTrck.setAttribute("src", vSrc.replace(/\.(mp4|webm|ogg|ogv)$/i, ".vtt"));
				vCore.appendChild(vTrck);

				vCore.setAttribute("src", vSrc);
				vCore.load();
				vCore.play();
				vStit.innerHTML = decodeURIComponent(vSrc);
			}
		// default break;
	}
}

// 오디오 플레이어
var noah_mp3Okay = !!document.getElementById("mp_core").canPlayType;
var noah_mp3List = [];
var noah_mp3Rand = false;
var noah_showVol, noah_showPop;

function PlayAudio(event, mAct, mSrc)
{
	var e = event || window.event;
	var copiedML = noah_mp3List;

	var themeClr = "#f6c";
	var blackClr = "#000";

	var mDiv  = document.getElementById("mp_back");
	var mCore = document.getElementById("mp_core");
	var mPlay = document.getElementById("mp_play");
	var mCvol = document.getElementById("mp_cvol");
	var mLoop = document.getElementById("mp_loop");
	var mRand = document.getElementById("mp_rand");
	var mList = document.getElementById("mp_list");
	var mPrev = document.getElementById("mp_prev");
	var mNext = document.getElementById("mp_next");

	var mPop  = document.getElementById("mp_popup");
	var mName = document.getElementById("mp_title");
	var mTime = document.getElementById("mp_time");

	var mPbox = document.getElementById("mp_plbox");
	var mPlst = document.getElementById("mp_plist");

	var mVbar = document.getElementById("mp_vbar");
	var mVbgx = document.getElementById("mp_volbg");
	var mVctl = document.getElementById("mp_volume");

	var mPbar = document.getElementById("mp_pbar");
	var mPctl = document.getElementById("mp_seek");

	var mNavi = document.getElementById("nav_play");
	var mFoot = document.getElementById("footer");

	if(mAct == "Init")
	{
		if(noah_mp3Okay && (copiedML.length > 0))
		{
			var noah_mp3Plst = "";

			for(var i=0, no=0, len=copiedML.length; i<len; i++)
			{
				// http://stackoverflow.com/questions/10073699/pad-a-number-with-leading-zeros-in-javascript
				no = String(parseInt(i+1));
				no = (no.length >= String(len).length) ? no : new Array(String(len).length-no.length+1).join("0")+no;

				noah_mp3Plst +=
				"<div id=\"mp#" + copiedML[i] + "\" title=\"" + decodeURIComponent(copiedML[i]) + "\" onclick=\"PlayAudio(event,'Open','" + copiedML[i] + "');\">" +
				"	<i>" + no + "</i>&nbsp; " + decodeURIComponent(copiedML[i]) +
				"</div>\n";
			}

			mPlst.innerHTML = noah_mp3Plst;
			mPlay.style.color = themeClr;
			mVctl.style.background = themeClr;
			mNavi.style.display = "block";

			mCore.addEventListener("loadstart", function()
			{
				mPlay.innerHTML = "&#xE640;";
				mPlay.setAttribute("title", "파일 로드 중...");
				mPctl.style.width = "0";
			});
			mCore.addEventListener("loadeddata", function()
			{
				mPlay.innerHTML = "&#xE035;";
				mPlay.setAttribute("title", "재생 중");
			});
			mCore.addEventListener("play", function()
			{
				PlayAudio(event, "PopOn", "♬ " + decodeURIComponent(mCore.getAttribute("src")));
				mPctl.style.background = themeClr;
				mPlay.innerHTML = "&#xE035;";
				mPlay.setAttribute("title", "재생 중");
			});
			mCore.addEventListener("pause", function()
			{
				PlayAudio(event, "PopOn", "플레이어 일시 정지됨");
				mPctl.style.background = "#aaa";
				mPlay.innerHTML = "&#xE038;";
				mPlay.setAttribute("title", "일시 정지 중");
			});
			mCore.addEventListener("ended", function()
			{
				mNext.click();
			});
			mCore.addEventListener("error", function()
			{
				if(mName.innerHTML != "<!--|MP:ERROR|-->") alert("지원되지 않는 형식 또는 네트워크 문제로 재생에 실패했습니다.\n\n장비를 정지합니다.");

				PlayAudio(event, "Stop");
			});
			mCore.addEventListener("timeupdate", function()
			{
				var value = ((100/mCore.duration)*mCore.currentTime).toFixed(1);

				if(value < 0) value = 0;
				else if(value > 100) value = 100;

				mPctl.style.width = value + "%";
				mTime.innerHTML = SecToMin(mCore.currentTime)+"/"+SecToMin(mCore.duration);
			});
			mCore.addEventListener("volumechange", function()
			{
				var value = Math.floor(mCore.volume*100);

				mVctl.style.width = value+"%";
				PlayAudio(event, "PopOn", "음량: " + value + "%");
				PlayAudio(event, "Volume");
			});
		}
		return false;
	}

	if(noah_mp3Okay)
	{
		if(copiedML.length < 1)
		{
			alert("재생할 항목이 없습니다.");
			return false;
		}
	}
	else
	{
		alert("사용자의 브라우저가 HTML5 오디오 기능을 지원하지 않습니다.");
		return false;
	}

	switch(mAct)
	{
		case "Show":
			mNavi.style.display = "none";
			mFoot.style.padding = "20px 10px 57px";
			$(mDiv).slideDown("slow");
		break;

		case "Hide":
			mNavi.style.display = "block";
			mFoot.style.padding = "20px 10px 30px";
			mList.style.color = blackClr;

			clearTimeout(noah_showVol);
			mCvol.style.color = blackClr;
			$(mVbar).fadeOut("fast");

			$(mPbox).fadeOut("fast");
			$(mDiv).slideUp("slow");
		break;

		case "Play":
			if(!mCore.getAttribute("src"))
			{
				PlayAudio(event, "Open", copiedML[0]);
				return false;
			}

			mCore.paused ? mCore.play() : mCore.pause();
		break;

		case "Stop":
			mCore.removeAttribute("src");
			mCore.load();

			mPlay.setAttribute("title", "재생");
			mPlay.innerHTML = "&#xE038;";
			mName.innerHTML = "<!--|MP:ERROR|-->";
			mTime.innerHTML = "";
			mPctl.style.width = "0";

			PlayAudio(event, "PopOff");

			if(mDiv.style.display != "block") PlayAudio(event, "Show");
		break;

		case "Seek":
			var value = Math.floor(e.pageX/mPbar.offsetWidth*100);

			try
			{
				e.cancelBubble = true;
				e.returnValue = false;
				e.preventDefault();
			}
			catch(e) {}

			if(mCore.currentSrc)
			{
				mCore.currentTime = (mCore.duration*value/100);
				PlayAudio(event, "PopOn", "구간 탐색: " + SecToMin(mCore.currentTime) + "/" + SecToMin(mCore.duration));
			}
		break;

		case "Repeat":
			!mCore.loop ? PlayAudio(event, "PopOn", "현재곡을 반복 재생합니다.") : PlayAudio(event, "PopOn", "반복 재생: 꺼짐");
			mLoop.style.color = !mCore.loop ? themeClr : blackClr;
			mCore.loop = !mCore.loop ? true : false;
		break;

		case "Shuffle":
			!noah_mp3Rand ? PlayAudio(event, "PopOn", "재생 목록을 무작위로 재생합니다.") : PlayAudio(event, "PopOn", "셔플 재생: 꺼짐");
			mRand.style.color = !noah_mp3Rand ? themeClr : blackClr;
			noah_mp3Rand = !noah_mp3Rand ? true : false;
		break;

		case "Volume":
			if(noah_showVol) clearTimeout(noah_showVol);

			mCvol.style.color = themeClr;
			mVbar.style.left  = mCvol.offsetLeft+"px";
			$(mVbar).fadeIn("fast");
			noah_showVol = setTimeout(function() { clearTimeout(noah_showVol); mCvol.style.color = blackClr; $(mVbar).fadeOut("fast"); }, 3000);
		break;

		case "List":
			mList.style.color = (mPbox.style.display != "block") ? themeClr : blackClr;
			(mPbox.style.display != "block") ? $(mPbox).fadeIn("fast") : $(mPbox).fadeOut("fast");
		break;

		case "PopOn":
			if(noah_showPop) clearTimeout(noah_showPop);

			mPop.innerHTML = mSrc;
			$(mPop).fadeIn("fast");
			noah_showPop = setTimeout(function() { PlayAudio(event, "PopOff"); }, 3000);
		break;

		case "PopOff":
			clearTimeout(noah_showPop);
			$(mPop).fadeOut("fast");
		break;

		case "adjVol":
			var value = Math.floor((e.pageX-$(mVbgx).offset().left)/2);

			if(value < 2) value = 0;
			else if(value > 98) value = 100;

			mCore.volume = (value/100);
		break;

		default:
			//if(mDiv.style.display != "block") PlayAudio(event, "Show");

			if(mSrc)
			{
				mCore.setAttribute("src", mSrc);
				mCore.load();
				mCore.play();
				mName.innerHTML = decodeURIComponent(mSrc);
			}

			var now_idx = 0;
			var randVar = Math.floor(Math.random()*((copiedML.length-1)+1));

			for(var i=0, len=copiedML.length; i<len; i++)
			{
				var tmp = document.getElementById("mp#"+copiedML[i]);

				tmp.style.color = (copiedML[i] != mSrc) ? blackClr : themeClr;
				tmp.style.fontWeight = (copiedML[i] != mSrc) ? "normal" : "bold";

				if(copiedML[i] == mSrc) now_idx = i;
			}

			mPlst.scrollTop = Math.floor(document.getElementById("mp#"+copiedML[now_idx]).offsetTop-45);

			mPrev.onclick = function()
			{
				var prev_idx = (now_idx <= 0) ? copiedML.length-1 : now_idx-1;
				noah_mp3Rand ? PlayAudio(event, "Open", copiedML[randVar]) : PlayAudio(event, "Open", copiedML[prev_idx]);
			}
			mNext.onclick = function()
			{
				var next_idx = (now_idx >= copiedML.length-1) ? 0 : now_idx+1;
				noah_mp3Rand ? PlayAudio(event, "Open", copiedML[randVar]) : PlayAudio(event, "Open", copiedML[next_idx]);
			}
		// default break;
	}
}

// 오디오 플레이어용 분 단위 변환
// http://codeaid.net/javascript/convert-seconds-to-hours-minutes-and-seconds-(javascript)
function SecToMin(secVal)
{
	var Min = Math.floor(Math.floor(secVal)/60);
	var Sec = Math.floor(secVal)-(Min*60);

	if(Min < 10) Min = "0" + Min;
	if(Sec < 10) Sec = "0" + Sec;

	return Min + ":" + Sec;
}

// 선택된 행 강조
function HighlightRow(link, checked)
{
	try { document.getElementById(link).style.background = checked ? "#ffd" : ""; }
	catch(e) {}
}

// 전체 선택/선택 해제
function ToggleSelectAll()
{
	var frm = document.getElementById("fileListForm");
	var cbs = frm.elements;

	for(var i=0, len=cbs.length; i<len; i++)
	{
		if(cbs[i].name == "chkbox[]")
		{
			cbs[i].checked = frm.selectAllCheckbox.checked;
			HighlightRow("tr#"+cbs[i].value, frm.selectAllCheckbox.checked);
		}
	}
}

// 새 폴더 생성
function onMkdir()
{
	var inputStr   = prompt("< 새 폴더 작성 >\n새로 만들 폴더 이름을 입력하세요.", "New Folder");
	var folderName = $.trim(inputStr);

	if(folderName)
	{
		var frm = document.getElementById("mkDir");
		var arr = document.getElementsByTagName("TD");
		var err = "";

		if(/[\\\/*?\"<>|]/g.test(folderName)) err = "항목 이름에는 다음 문자를 사용할 수 없습니다.\n\n\\ / * ? \" < > |";

		if(!err)
		{
			for(var i=0, len=arr.length; i<len; i++)
			{
				if((arr[i].className == "name folder") && folderName.toLowerCase() == arr[i].children[0].innerHTML.toLowerCase())
				{
					err = "이미 같은 이름의 폴더가 존재합니다.";
					break;
				}
			}
		}

		if(err)
		{
			alert(err);
			onMkdir();
			return false;
		}

		frm.name.value = folderName;
		frm.submit();
	}
}

// 업로드 팝업
function onUpload(skin, path)
{
	window.open("/" + skin + "/upload_frame.html?action=SkinFile#path=" + path, "_upload", "width=400,height=200,left=25,top=130,resizable=no,status=no,toolbar=no");
}

// 플러그인 실행
function onPlugin(sel)
{
	var selectedFiles = "";
	var selectedCount = 0;

	var frm  = document.getElementById("pluginForm");
	var proc = document.getElementById("pluginProcess");
	var cbs  = document.getElementById("fileListForm").elements;

	var is_oldIE = (window.attachEvent && !window.addEventListener) ? true : false;

	for(var i=0, len=cbs.length; i<len; i++)
	{
		if(cbs[i].name == "chkbox[]" && cbs[i].checked)
		{
			selectedCount++;
			selectedFiles += cbs[i].value + "\n";
		}
	}

	if(!sel || selectedCount < 1)
	{
		alert("선택된 항목이 없습니다.");
		return false;
	}

	frm.action = "?action=Plugin&type=" + sel;
	frm.selectedFiles.value = selectedFiles;

	if(sel == "Delete" || sel == "Rename")
	{
		if(sel == "Delete")
		{
			frm.action = "?action=Plugin&type=" + sel + "&confirm=yes";

			if(!confirm("선택한 항목을 삭제하시겠습니까?")) { return false; }
		}
		else
		{
			if(selectedCount != 1)
			{
				alert("항목 이름은 1개씩만 변경 가능합니다.");
				return false;
			}

			var renItem  = selectedFiles.replace("\n", "");
			var inputStr = prompt("< 항목 이름 변경 >\n새로운 이름을 입력해 주세요.", decodeURIComponent(renItem.replace("/","")));
			var newName  = $.trim(inputStr);

			if(newName)
			{
				var arr = document.getElementsByTagName("TD");
				var err = "";

				if(/[\\\/*?\"<>|]/g.test(newName)) err = "항목 이름에는 다음 문자를 사용할 수 없습니다.\n\n\\ / * ? \" < > |";

				if(!err)
				{
					for(var i=0, len=arr.length; i<len; i++)
					{
						if((arr[i].className == "name folder" || arr[i].className == "name file") && newName.toLowerCase() == arr[i].children[0].innerHTML.toLowerCase())
						{
							err = "이미 같은 이름의 항목이 존재합니다.";
							break;
						}
					}
				}

				if(err)
				{
					alert(err);
					onPlugin("Rename");
					return false;
				}
				frm.newname.value = newName;
			}
			else { return false; }
		}

		proc.onload = function()
		{
			var result = is_oldIE ? proc.contentDocument.documentElement.innerHTML : this.contentDocument.documentElement.innerHTML;

			if(result.indexOf("이 플러그인을 실행할 권한이 없습니다.") != -1) { result = "해당 명령을 실행할 권한이 없습니다."; }
			else if(result.indexOf("없는 플러그인에 대한 요청입니다.") != -1) { result = "플러그인이 존재하지 않습니다."; }
			else
			{
				var lstr  = result.toLowerCase().lastIndexOf("</h1>")+5;
				var rstr  = result.toLowerCase().lastIndexOf("<br><br>");
				var nlstr = (sel == "Delete") ? "\n\n" : "";

				result = result.substring(lstr, rstr);
				result = result.replace(/<br>/gi, nlstr);
			}

			alert(result);
			parent.location.reload();
		}

		if(is_oldIE) proc.attachEvent("onload", proc.onload);
	}

	frm.submit();
}

// KB 단위로 파일 크기 변환
function byteConverter(bytes)
{
	bytes = parseInt(bytes.replace(/,/g, ""));

	if(bytes > 0)
	{
		var v = Math.ceil(bytes/1024).toFixed(0);
		var pattern = /(-?[0-9]+)([0-9]{3})/;

		if(bytes > 1024)
		{
			while(pattern.test(v))
			{
				v = v.replace(pattern, "$1,$2");
			}
		}
		else v = 1;

		return v + " KB";
	}
	else
	{
		return "0 KB";
	}
}

// 파일 크기 변환 및 링크 처리
function onConverter()
{
	var arr = document.getElementsByTagName("TD");

	for(var i=0, len=arr.length; i<len; i++)
	{
		if(arr[i].className == "size file") arr[i].innerHTML = byteConverter(arr[i].innerHTML);

		if(arr[i].className == "name file")
		{
			if(/\.(bmp|gif|jpg|jpeg|png)$/i.test(arr[i].children[0].innerHTML))
			{
				noah_imgList.push(arr[i].children[0].getAttribute("href"));

				arr[i].onclick = function(event)
				{
					ViewImage(event, "All", this.children[0].getAttribute("href"));
					return false;
				}
			}
			else if(/\.(mp4)$/i.test(arr[i].children[0].innerHTML) && noah_mp3Okay)
			{
				arr[i].onclick = function(event)
				{
					PlayVideo(event, "Open", this.children[0].getAttribute("href"));
					return false;
				}
			}
			else if(/\.(mp3)$/i.test(arr[i].children[0].innerHTML) && noah_mp3Okay)
			{
				noah_mp3List.push(arr[i].children[0].getAttribute("href"));

				arr[i].onclick = function(event)
				{
					PlayAudio(event, "Open", this.children[0].getAttribute("href"));
					return false;
				}
			}
			else
			{
				arr[i].onclick = function(event)
				{
					var e  = event || window.event;
					var el = e.target || e.srcElement;

					if(el.tagName != "A")
					{
						window.open(this.children[0].getAttribute("href"));
						return false;
					}
				}
			}
		}
	}
}

// 현재 경로 나열
function write_splitDirs(dir)
{
	var arr = dir.split("/");
	var output = "<b>Location :</b> <a href=\"/\">&nbsp;/&nbsp;</a>";

	if(dir != "/")
	{
		for(var i=0, len=arr.length; i<len; i++)
		{
			if(arr[i])
			{
				output += "<a href=\"" + encodeURIComponent(dir.substr(0, dir.indexOf(arr[i])+arr[i].length)).replace(/%2f/gi, "/") + "/\">" + arr[i] + "</a>";
			}
		}
	}

	if(document.getElementById("location")) document.getElementById("location").innerHTML = output;
}

// 파일 주소 복사
function copy_address(url)
{
	var answer = confirm("이 항목의 URL을 확인하고 복사하시겠습니까?\n\n[취소]를 누르면 QR코드 이미지를 표시합니다.");

	if(answer) prompt("< 파일/폴더 주소 >\n아래의 URL을 복사하세요.", url);
	else
	{
		var qrApi = "http://chart.apis.google.com/chart?cht=qr&chs=250x250&chl=" + url;
		ViewImage(event, "Single", qrApi);
	}
}

// 버전 정보
function showVer()
{
	var str =
	"responsive v2.3 NE for Berryz WebShare \n\n" +
	"Version : 1.5 (build 20161020) \n" +
	"Created by Noah (http://noah4u.tistory.com) \n" +
	"Based on http://wallel.com/140 \n\n" +
	"Included Components : \n" +
	"+ jQuery 1.12.4 & 3.1.1 [" + $.fn.jquery + " loaded] \n" +
	"+ Sortable Table 1.12 [Custom] \n\n" +
	"User Agent : \n" + navigator.userAgent;

	alert(str);
}

// 페이지 로드 후 처리
window.onload = function()
{
	PlayAudio("", "Init");
}

// 창 리사이즈 후 처리
window.onresize = function()
{
	ViewImage("", "Close");
	PlayVideo("", "Show");
	ToggleMenu("Init");
}

/* EOF; */